Update an event settings profile
Merges supplied values into the existing events profile, preserving other settings. Profiles of other program types return 404. Requires the event management capability; all referenced records must belong to this event and organization.
curl --request PUT \
--url https://api.gratona.com/v1/admin/events/settings/{settingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Annual Gala",
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"cover_fees_enabled": false,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
]
}
'import requests
url = "https://api.gratona.com/v1/admin/events/settings/{settingId}"
payload = {
"name": "Annual Gala",
"public_page_enabled": False,
"show_sponsors": False,
"show_remaining_capacity": False,
"allow_donation_addon": False,
"allow_recurring_gift_ask": False,
"allow_child_sponsorship_ask": False,
"cover_fees_enabled": False,
"public_offline_payment_enabled": False,
"magic_link_management_enabled": False,
"event_day_check_in_enabled": False,
"check_in_blocked_payment_statuses": ["pending"],
"include_pending_orders_in_event_revenue": False,
"wallet_passes_enabled": False,
"auction_enabled": False,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [1]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Annual Gala',
public_page_enabled: false,
show_sponsors: false,
show_remaining_capacity: false,
allow_donation_addon: false,
allow_recurring_gift_ask: false,
allow_child_sponsorship_ask: false,
cover_fees_enabled: false,
public_offline_payment_enabled: false,
magic_link_management_enabled: false,
event_day_check_in_enabled: false,
check_in_blocked_payment_statuses: ['pending'],
include_pending_orders_in_event_revenue: false,
wallet_passes_enabled: false,
auction_enabled: false,
privacy_mode: 'Example',
check_payment_instructions: 'Example',
donor_hysform_id: 1,
emailset_id: 1,
confirmation_email_template_id: 1,
reminder_email_template_id: 1,
follow_up_email_template_id: 1,
donation_ask_amounts: [1]
})
};
fetch('https://api.gratona.com/v1/admin/events/settings/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/settings/{settingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Annual Gala',
'public_page_enabled' => false,
'show_sponsors' => false,
'show_remaining_capacity' => false,
'allow_donation_addon' => false,
'allow_recurring_gift_ask' => false,
'allow_child_sponsorship_ask' => false,
'cover_fees_enabled' => false,
'public_offline_payment_enabled' => false,
'magic_link_management_enabled' => false,
'event_day_check_in_enabled' => false,
'check_in_blocked_payment_statuses' => [
'pending'
],
'include_pending_orders_in_event_revenue' => false,
'wallet_passes_enabled' => false,
'auction_enabled' => false,
'privacy_mode' => 'Example',
'check_payment_instructions' => 'Example',
'donor_hysform_id' => 1,
'emailset_id' => 1,
'confirmation_email_template_id' => 1,
'reminder_email_template_id' => 1,
'follow_up_email_template_id' => 1,
'donation_ask_amounts' => [
1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/settings/{settingId}"
payload := strings.NewReader("{\n \"name\": \"Annual Gala\",\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"cover_fees_enabled\": false,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/events/settings/{settingId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Annual Gala\",\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"cover_fees_enabled\": false,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/settings/{settingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Annual Gala\",\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"cover_fees_enabled\": false,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"name": "Gala defaults",
"program_settings": {
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"cover_fees_enabled": false,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
],
"program_type": "events"
},
"in_use_count": 42,
"readiness": [
{
"key": "event_profile",
"label": "Event profile",
"ready": false,
"required": false,
"message": "Name, slug, and event type are required."
}
],
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z"
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Record ID in the authenticated organization.
42
Body
Name.
255"Annual Gala"
Public page enabled.
false
Show sponsors.
false
Show remaining capacity.
false
Allow donation addon.
false
Allow recurring gift ask.
false
Allow child sponsorship ask.
false
Cover fees enabled.
false
Public offline payment enabled.
false
Magic link management enabled.
false
Event day check in enabled.
false
Check in blocked payment statuses.
*.
pending, failed, refunded, unpaid Include pending orders in event revenue.
false
Wallet passes enabled.
false
Auction enabled.
false
Privacy mode.
80"Example"
Check payment instructions.
1000"Example"
Donor hysform id. Referenced record must belong to the authenticated organization.
1
Emailset id. Referenced record must belong to the authenticated organization.
1
Confirmation email template id. Referenced record must belong to the authenticated organization.
1
Reminder email template id. Referenced record must belong to the authenticated organization.
1
Follow up email template id. Referenced record must belong to the authenticated organization.
1
Donation ask amounts.
*.
x >= 01
Response
Update an event settings profile completed.
Show child attributes
Show child attributes
curl --request PUT \
--url https://api.gratona.com/v1/admin/events/settings/{settingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Annual Gala",
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"cover_fees_enabled": false,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
]
}
'import requests
url = "https://api.gratona.com/v1/admin/events/settings/{settingId}"
payload = {
"name": "Annual Gala",
"public_page_enabled": False,
"show_sponsors": False,
"show_remaining_capacity": False,
"allow_donation_addon": False,
"allow_recurring_gift_ask": False,
"allow_child_sponsorship_ask": False,
"cover_fees_enabled": False,
"public_offline_payment_enabled": False,
"magic_link_management_enabled": False,
"event_day_check_in_enabled": False,
"check_in_blocked_payment_statuses": ["pending"],
"include_pending_orders_in_event_revenue": False,
"wallet_passes_enabled": False,
"auction_enabled": False,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [1]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Annual Gala',
public_page_enabled: false,
show_sponsors: false,
show_remaining_capacity: false,
allow_donation_addon: false,
allow_recurring_gift_ask: false,
allow_child_sponsorship_ask: false,
cover_fees_enabled: false,
public_offline_payment_enabled: false,
magic_link_management_enabled: false,
event_day_check_in_enabled: false,
check_in_blocked_payment_statuses: ['pending'],
include_pending_orders_in_event_revenue: false,
wallet_passes_enabled: false,
auction_enabled: false,
privacy_mode: 'Example',
check_payment_instructions: 'Example',
donor_hysform_id: 1,
emailset_id: 1,
confirmation_email_template_id: 1,
reminder_email_template_id: 1,
follow_up_email_template_id: 1,
donation_ask_amounts: [1]
})
};
fetch('https://api.gratona.com/v1/admin/events/settings/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/settings/{settingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Annual Gala',
'public_page_enabled' => false,
'show_sponsors' => false,
'show_remaining_capacity' => false,
'allow_donation_addon' => false,
'allow_recurring_gift_ask' => false,
'allow_child_sponsorship_ask' => false,
'cover_fees_enabled' => false,
'public_offline_payment_enabled' => false,
'magic_link_management_enabled' => false,
'event_day_check_in_enabled' => false,
'check_in_blocked_payment_statuses' => [
'pending'
],
'include_pending_orders_in_event_revenue' => false,
'wallet_passes_enabled' => false,
'auction_enabled' => false,
'privacy_mode' => 'Example',
'check_payment_instructions' => 'Example',
'donor_hysform_id' => 1,
'emailset_id' => 1,
'confirmation_email_template_id' => 1,
'reminder_email_template_id' => 1,
'follow_up_email_template_id' => 1,
'donation_ask_amounts' => [
1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/settings/{settingId}"
payload := strings.NewReader("{\n \"name\": \"Annual Gala\",\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"cover_fees_enabled\": false,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/events/settings/{settingId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Annual Gala\",\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"cover_fees_enabled\": false,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/settings/{settingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Annual Gala\",\n \"public_page_enabled\": false,\n \"show_sponsors\": false,\n \"show_remaining_capacity\": false,\n \"allow_donation_addon\": false,\n \"allow_recurring_gift_ask\": false,\n \"allow_child_sponsorship_ask\": false,\n \"cover_fees_enabled\": false,\n \"public_offline_payment_enabled\": false,\n \"magic_link_management_enabled\": false,\n \"event_day_check_in_enabled\": false,\n \"check_in_blocked_payment_statuses\": [\n \"pending\"\n ],\n \"include_pending_orders_in_event_revenue\": false,\n \"wallet_passes_enabled\": false,\n \"auction_enabled\": false,\n \"privacy_mode\": \"Example\",\n \"check_payment_instructions\": \"Example\",\n \"donor_hysform_id\": 1,\n \"emailset_id\": 1,\n \"confirmation_email_template_id\": 1,\n \"reminder_email_template_id\": 1,\n \"follow_up_email_template_id\": 1,\n \"donation_ask_amounts\": [\n 1\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 42,
"name": "Gala defaults",
"program_settings": {
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"cover_fees_enabled": false,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
],
"program_type": "events"
},
"in_use_count": 42,
"readiness": [
{
"key": "event_profile",
"label": "Event profile",
"ready": false,
"required": false,
"message": "Name, slug, and event type are required."
}
],
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z"
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}